From 04d75c7f7f37efbaf982967a4a0857074d8d6e11 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Thu, 24 Jan 2013 22:41:23 +0100
Subject: Fix HTML escaping in views

--HG--
extra : source : 19b42e3d4ce564016302b18158afe5fe6e055677
---
 app/helpers/application_helper.rb        |    4 ++--
 app/views/news/_news.erb                 |    4 ++--
 app/views/projects/_members_box.html.erb |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index de5666e..463e803 100644
--- a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -59,7 +59,7 @@ module ApplicationHelper
 
   # Show a sorted linkified (if active) comma-joined list of users
   def list_users(users, options={})
-    users.sort.collect{|u| link_to_user(u, options)}.join(", ")
+    users.sort.collect{|u| link_to_user(u, options)}.join(", ".html_safe)
   end
 
   # Displays a link to +issue+ with its subject.
@@ -318,7 +318,7 @@ module ApplicationHelper
   end
 
   def authoring(created, author, options={})
-    l(options[:label] || :label_added_time_by, :author => link_to_user(author), :age => time_tag(created))
+    l(options[:label] || :label_added_time_by, :author => link_to_user(author), :age => time_tag(created)).html_safe
   end
 
   def time_tag(time)
diff --git a/app/views/news/_news.erb b/app/views/news/_news.erb
index ddbaeca..d58f065 100644
--- a/app/views/news/_news.erb
+++ b/app/views/news/_news.erb
@@ -1,6 +1,6 @@
 <p><%= link_to_project(news.project) + ': ' unless @project %>
-<%= link_to h(news.title), news_path(news) %>
+<%= link_to news.title, news_path(news) %>
 <%= "(#{l(:label_x_comments, :count => news.comments_count)})" if news.comments_count > 0 %>
 <br />
-<% unless news.summary.blank? %><span class="summary"><%=h news.summary %></span><br /><% end %>
+<% unless news.summary.blank? %><span class="summary"><%= news.summary %></span><br /><% end %>
 <span class="author"><%= authoring news.created_on, news.author %></span></p>
diff --git a/app/views/projects/_members_box.html.erb b/app/views/projects/_members_box.html.erb
index 140d6a3..f01d51e 100644
--- a/app/views/projects/_members_box.html.erb
+++ b/app/views/projects/_members_box.html.erb
@@ -2,7 +2,7 @@
 	<div class="members box">
 		<h3><%=l(:label_member_plural)%></h3>
 		<p><% @users_by_role.keys.sort.each do |role| %>
-		<%=h role %>: <%= @users_by_role[role].sort.collect{|u| link_to_user u}.join(", ") %><br />
+		<%=h role %>: <%= @users_by_role[role].sort.collect{|u| link_to_user u}.join(raw(", ")) %><br />
 		<% end %></p>
 	</div>
 	<% end %>
-- 
1.7.1


